<template>
    <div
        class="uk-align-center uk-card uk-card-default uk-card-body uk-width-1-1"
        v-if="commentaire"
    >
        <div class="texte-commentaire" v-html="getCommentaire()" />
    </div>
</template>

<script lang="ts">
import Vue from 'vue';
import Component from 'vue-class-component';
import { Prop } from 'vue-property-decorator';
import TraductionLexique from '@/components/outils/TraductionLexique';
@Component
export default class Instructions extends Vue {
    @Prop() premierCommentaire: string;
    commentaire = '';

    created() {
        this.$root.$on('mettreAJourCommentaire', commentaire =>
            this.mettreAJourCommentaire(commentaire)
        );
    }

    mounted() {
        this.commentaire = this.premierCommentaire;
    }

    public mettreAJourCommentaire(newCommentaire: string) {
        return (this.commentaire = newCommentaire);
    }

    private getCommentaire(): string {
        return TraductionLexique.expliquerLexique(this.commentaire);
    }
}
</script>

<style>
.texte-commentaire .uk-inline {
    vertical-align: baseline;
}
</style>
